#!/usr/bin/perl -w

use strict;
use DBI;

my $dbname = 'andy';
my $stop = 0;
my $max = 10_000_000;
my $chstart = ord('A');
my $chcount = ord('Z') - $chstart;


$| = 1;

sub dokey()
{
	$stop = 1;
	print "\nAborting on next commit\n";
}
$SIG{INT} = \&dokey;

sub makestring
{
	my($len) = @_;
	my $result = '';
	for(my $i = 0; $i < $len; $i++)
	{
		$result .=  chr(rand($chcount)+$chstart);
	}
	return $result;
}

open(OUT, '>>lookup.dat') or die;

my $db = DBI->connect("dbi:Pg:dbname=$dbname", "", "",
		{RaiseError => 1, AutoCommit => 0}) or die 'cant connect';

my $blob = 'c' x 300
					. makestring(400)
					. 'a' x 300
					. makestring(200)
					. 'd' x 300;


print 'blob length is ', length($blob), "\n";

$db->do('copy posts_index(groupid, startdate, poster, basefile, subject, size, nfo, c, parts, totalparts, imdb, ng1, g2, g3, data) from stdin');
for(my $i = 0; $i < $max; $i++)
{
	my $groupid = $i % 579;
	my($nfo, $c);
	if (rand() > 0.75)
	{
		$nfo = 't';
	} else {
		$nfo = 'f';
	}

	if (rand() > 0.50)
	{
		$c = 't';
	} else {
		$c = 'f';
	}

	my $poster = makestring(8) . '@' . makestring(15) . '.com';
	my $parts = int(rand(50));
	my $basefile = makestring(3) . int(rand(900900)) . makestring(3);

	$db->pg_putline("$groupid\t$i\t$poster\t$basefile\tsubject $i\t$i\t$nfo\t$c\t$parts\t100\t42\t1\t2\t3\t$blob\n");

	print OUT "$poster\t$groupid\t$basefile\n";

	last if ($stop);

	if ($i % 10_000 == 0) {
		print "$i\r";
	}
}
close(OUT);
print "\nfinished\n";
$db->pg_endcopy;
$db->commit();
$db->disconnect();
