drop table if exists posts_index;

CREATE TABLE posts_index (
    cid integer NOT NULL,
    groupid integer NOT NULL,
    startdate integer NOT NULL,
    poster character varying(64) NOT NULL,
    basefile character varying(64) NOT NULL,
    subject character varying(255) NOT NULL,
    size real,
    nfo boolean,
    c boolean,
    parts integer,
    totalparts integer,
    imdb integer,
    ng1 boolean DEFAULT false,
    g2 integer DEFAULT 0,
    g3 integer DEFAULT 0,
    data bytea
);


CREATE SEQUENCE posts_index_cid_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;

ALTER SEQUENCE posts_index_cid_seq OWNED BY posts_index.cid;
ALTER TABLE posts_index ALTER COLUMN cid SET DEFAULT nextval('posts_index_cid_seq'::regclass);

vacuum analyze;
