#!/usr/bin/perl -w

use strict;
use DBI;

my $dbname = 'andy';
my $stop = 0;
my $max = 2_000_000;
my $chstart = ord('A');
my $chcount = ord('Z') - $chstart;

sub dokey()
{
	$stop = 1;
	print "\nAborting...\n";
}
$SIG{INT} = \&dokey;

my $x = qx/wc --lines lookup.dat/;
my($lines) = $x =~ /(\d+)/;
print "lookup has $lines lines\n";

open(F, '<lookup.dat') or die;

my $db = DBI->connect("dbi:Pg:dbname=$dbname", "", "",
		{RaiseError => 1, AutoCommit => 0}) or die 'cant connect';

my $ccBad = 0;
my $ccOk = 0;
my $cc = 0;

my $q = $db->prepare('select count(*) from posts_index where poster = $1 and groupid = $2 and basefile = $3');
while (<F>)
{
	chomp;
	my @list = split /\t/;

	$q->execute(@list);
	my($rows) = $q->fetchrow_array;
	if ($rows > 0)
	{
		print "\r$list[2]\tok";
		$ccOk++;
	} else {
		print "$list[2] failed                         \n";
		$ccBad++;
	}
	last if ($stop);
	$cc++;

	if ($cc % 10_000 == 0)
	{
		my $pct = ($cc / $lines) * 100;
		printf("  %d (%.2f done)          ",$cc, $pct);
	}
}
$q = undef;
$db->disconnect;
print "\n";
print "Finished, $ccBad bad and $ccOk ok\n";

